/**
 * output package name
 */
package com.kingdee.eas.custom.esign.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class SyncStatusEnum extends IntEnum
{
    public static final int UNSYNCED_VALUE = 1;//alias=未同步
    public static final int SYNCED_VALUE = 2;//alias=已同步
    public static final int SYNC_FAILED_VALUE = 3;//alias=同步失败

    public static final SyncStatusEnum UNSYNCED = new SyncStatusEnum("UNSYNCED", UNSYNCED_VALUE);
    public static final SyncStatusEnum SYNCED = new SyncStatusEnum("SYNCED", SYNCED_VALUE);
    public static final SyncStatusEnum SYNC_FAILED = new SyncStatusEnum("SYNC_FAILED", SYNC_FAILED_VALUE);

    /**
     * construct function
     * @param integer syncStatusEnum
     */
    private SyncStatusEnum(String name, int syncStatusEnum)
    {
        super(name, syncStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SyncStatusEnum getEnum(String syncStatusEnum)
    {
        return (SyncStatusEnum)getEnum(SyncStatusEnum.class, syncStatusEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static SyncStatusEnum getEnum(int syncStatusEnum)
    {
        return (SyncStatusEnum)getEnum(SyncStatusEnum.class, syncStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SyncStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SyncStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SyncStatusEnum.class);
    }
}